# frozen_string_literal: true

require 'aqila/cache/version'
require 'active_record'

module Aqila
  module Cache
    class Error < StandardError; end

    require 'aqila/cache/configuration'

    def self.configuration
      @configuration ||= Configuration.new
    end

    def self.configure
      yield(configuration)
    end

    require 'aqila/cache/table_last_change'
    require 'aqila/cache/methods'
    require 'aqila/cache/callbacks'
  end
end
